using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATSystem")]
[Index("Guid", Name = "GUID")]
public partial class Atsystem
{
    public Guid Guid { get; set; }

    [StringLength(255)]
    public string ApplicationName { get; set; } = null!;

    [StringLength(255)]
    public string TrackingTableName { get; set; } = null!;

    [StringLength(255)]
    public string? Link { get; set; }

    [StringLength(255)]
    public string? LinkType { get; set; }
}
